<div align="center">
    <h1>Awesome Graph Fraud Detection</h1>
    <a href="https://awesome.re"><img src="https://awesome.re/badge.svg"/></a>
    <a href="http://makeapullrequest.com"><img src="https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square"/></a>
</div>

A curated list of graph-based fraud, anomaly, and outlier detection papers & resources


**Table of Content**
- Deep Learning Papers: [2025](#2024-back-to-top) | [2024](#2024-back-to-top) | [2023](#2023-back-to-top) | [2022](#2022-back-to-top) | [2021](#2021-back-to-top) | [2020](#2020-back-to-top) | [Before 2020](#before-2020-back-to-top)
- [Non-Deep-Learning Papers since 2014](#non-deep-learning-papers-since-2014-back-to-top)
- [Toolbox](#toolbox-back-to-top)
- [Dataset](#dataset-back-to-top)
- [Survey Paper](#survey-paper-back-to-top)
- [Other Resource](#other-resource-back-to-top)



## Deep Learning Papers
### 2025 [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]
| Year   | Title  | Venue |  Paper | Code  |
|-------|--------|--------|--------|-----------|
| 2025 | **AnomalyGFM: Graph Foundation Model for Zero/Few-shot Anomaly Detection** | arXiv 2025 | [Link](https://arxiv.org/abs/2502.09254) | [Link](https://github.com/mala-lab/AnomalyGFM)  |
### 2024 [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]
| Year   | Title  | Venue |  Paper | Code  |
|-------|--------|--------|--------|-----------|
| 2024 | **Fund transfer fraud detection: Analyzing irregular transactions and customer relationships with self-attention and graph neural networks** | Expert Systems with Applications 2024 | [Link](https://www.sciencedirect.com/science/article/abs/pii/S0957417424020785) |  Link |
| 2024 | **UniGAD: Unifying Multi-level Graph Anomaly Detection** | NeurIPS 2024 | [Link](https://arxiv.org/pdf/2411.06427) |  [Link](https://github.com/lllyyq1121/UniGAD) |
| 2024 | **Context Correlation Discrepancy Analysis for Graph Anomaly Detection** | IEEE TKDE 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10746358) |  Link |
| 2024 | **ANOMIX: A Simple yet Effective Hard Negative Generation via Mixing for Graph Anomaly Detection** | arXiv 2024 | [Link](https://arxiv.org/pdf/2410.20310) |  [Link](https://github.com/missinghwan/ANOMIX) |
| 2024 | **Bots Shield Fake News: Adversarial Attack on User Engagement based Fake News Detection** | CIKM 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3627673.3679583) |  Link |
| 2024 | **Towards Fair Graph Anomaly Detection: Problem, Benchmark Datasets, and Evaluation** | CIKM 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3627673.3679754) |  [Link](https://github.com/nigelnnk/FairGAD) |
| 2024 | **Graph Anomaly Detection with Adaptive Node Mixup** | CIKM 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3627673.3679577) |  Link |
| 2024 | **A Structural Information Guided Hierarchical Reconstruction for Graph Anomaly Detection** | CIKM 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3627673.3679869) |  Link |
| 2024 | **Graph Local Homophily Network for Anomaly Detection** | CIKM 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3627673.3679785) |  Link |
| 2024 | **Effective Illicit Account Detection on Large Cryptocurrency MultiGraphs** | CIKM 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3627673.3679707) |  [Link](https://github.com/TommyDzh/DIAM) |
| 2024 | **LEX-GNN: Label-Exploring Graph Neural Network for Accurate Fraud Detection** | CIKM 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3627673.3679956) |  [Link](https://github.com/wdhyun/LEX-GNN) |
| 2024 | **Collaborative Fraud Detection on Large Scale Graph Using Secure Multi-Party Computation** | CIKM 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3627673.3679863) |  Link |
| 2024 | **Zero-shot Generalist Graph Anomaly Detection with Unified Neighborhood Prompts** | arXiv 2024 | [Link](https://arxiv.org/pdf/2410.14886) |  [Link](https://github.com/mala-lab/UNPrompt) |
| 2024 | **DiffGAD: A Diffusion-based Unsupervised Graph Anomaly Detector** | arXiv 2024 | [Link](https://arxiv.org/pdf/2410.06549) |  Link |
| 2024 | **A Universal Adaptive Algorithm for Graph Anomaly Detection** | Elsevier IPM 2024 | [Link](https://www.sciencedirect.com/science/article/pii/S0306457324002644) |  [Link](https://github.com/LIyvqi/U-A2GAD) |
| 2024 | **Cross-Regional Fraud Detection via Continual Learning With Knowledge Transfer** | TKDE 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10654781) |  Link |
| 2024 | **Do not ignore heterogeneity and heterophily: Multi-network collaborative telecom fraud detection** | Expert Systems with Applications 2024 | [Link](https://www.sciencedirect.com/science/article/pii/S0957417424018414) |  Link |
| 2024 | **Connecting the Dots: Graph Neural Networks for Auditing Accounting Journal Entries** | SSRN 2024 | [Link](https://papers.ssrn.com/sol3/papers.cfm?abstract_id=4847792) |
| 2024 | **Spatial-Temporal-Aware Graph Transformer for Transaction Fraud Detection** | IEEE TII 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10606962) |  Link |
| 2024 | **Heterophilic Graph Invariant Learning for Out-of-Distribution of Fraud Detection** | ACM MM 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3664647.3681312) |  Link |
| 2024 | **IN-GFD: An Interpretable Graph Fraud Detection Model for Spam Reviews** | IEEE TAI 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10574870) |  Link |
| 2024 | **EGNN-AD: An Effective Graph Neural Network-Based Approach for Anomaly Detection on Edge-Attributed Graphs** | DASFAA 2024 | [Link](https://link.springer.com/chapter/10.1007/978-981-97-5572-1_21) |  Link |
| 2024 | **Spoofing Transaction Detection with Group Perceptual Enhanced Graph Neural Network** | ECML PKDD 2024 | [Link](https://link.springer.com/chapter/10.1007/978-3-031-70378-2_7) |  Link |
| 2024 | **MetaGAD: Learning to Meta Transfer for Few-shot Graph Anomaly Detection** | DSAA 2024 | [Link](https://arxiv.org/pdf/2305.10668.pdf) | [Link](https://github.com/XiongxiaoXu/MetaGAD) |
| 2024 | **Propagation Structure-Aware Graph Transformer for Robust and Interpretable Fake News Detection** | KDD 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3637528.3672024) |  [Link](https://github.com/JYZHU03/PSGT) |
| 2024 | **SEFraud: Graph-based Self-Explainable Fraud Detection via Interpretative Mask Learning** | KDD 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3637528.3671534) |  Link |
| 2024 | **VecAug: Unveiling Camouflaged Frauds with Cohort Augmentation for Enhanced Detection** | KDD 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3637528.3671527) |  Link |
| 2024 | **Graph Anomaly Detection with Few Labels: A Data-Centric Approach** | KDD 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3637528.3671929) |  Link |
| 2024 | **Effective High-order Graph Representation Learning for Credit Card Fraud Detection** | IJCAI 2024 | [Link](https://www.ijcai.org/proceedings/2024/0839.pdf) |  Link |
| 2024 | **Safeguarding Fraud Detection from Attacks: A Robust Graph Learning Approach** | IJCAI 2024 | [Link](https://www.ijcai.org/proceedings/2024/0830.pdf) |  Link |
| 2024 | **Global Confidence Degree Based Graph Neural Network for Financial Fraud Detection** | arXiv 2024 | [Link](https://arxiv.org/pdf/2407.17333) |  Link |
| 2024 | **Graph Anomaly Detection with Noisy Labels by Reinforcement Learning** | arXiv 2024 | [Link](https://arxiv.org/pdf/2407.05934) |  Link |
| 2024 | **DOS-GNN: Dual-Feature Aggregations with Over-Sampling for Class-Imbalanced Fraud Detection On Graphs** | IJCNN 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10650494) |  Link |
| 2024 | **TFD-GCL: Telecommunications Fraud Detection Based on Graph Contrastive Learning with Adaptive Augmentation** | IJCNN 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10650128) |  Link |
| 2024 | **Homophilic and Heterophilic-Aware Sparse Graph Transformer for Financial Fraud Detection** | IJCNN 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10650212) |  Link |
| 2024 | **TA-Detector: A GNN-based Anomaly Detector via Trust Relationship** | ACM TMCCA 2024 | [Link](https://dl.acm.org/doi/abs/10.1145/3672401) |  Link |
| 2024 | **TFD:Trust-Based Fraud Detection in SIoT With Graph Convolutional Networks** | IEEE TCE 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10566887) |  Link |
| 2024 | **Counterfactual Data Augmentation With Denoising Diffusion for Graph Anomaly Detection** | IEEE TCSS 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10564850) |  Link |
| 2024 | **HC-GLAD: Dual Hyperbolic Contrastive Learning for Unsupervised Graph-Level Anomaly Detection** | arXiv 2024 | [Link](https://arxiv.org/pdf/2407.02057) |  [Link](https://github.com/Yali-F/HC-GLAD) |
| 2024 | **GLADformer: A Mixed Perspective for Graph-level Anomaly Detection** | arXiv 2024 | [Link](https://arxiv.org/pdf/2406.00734) |  Link |
| 2024 | **Enhancing Fairness in Unsupervised Graph Anomaly Detection through Disentanglement** | arXiv 2024 | [Link](https://arxiv.org/pdf/2406.00987) |  [Link](https://github.com/AhaChang/DEFEND) |
| 2024 | **Learning-Based Link Anomaly Detection in Continuous-Time Dynamic Graphs** | TMLR 2024 | [Link](https://arxiv.org/pdf/2405.18050) |  [Link](https://github.com/timpostuvan/CTDG-link-anomaly-detection) |
| 2024 | **ARC: A Generalist Graph Anomaly Detector with In-Context Learning** | NeurIPS 2024 | [Link](https://arxiv.org/pdf/2405.16771) |  [Link](https://github.com/yixinliu233/ARC) |
| 2024 | **SmoothGNN: Smoothing-aware GNN for Unsupervised Node Anomaly Detection** | arXiv 2024 | [Link](https://arxiv.org/pdf/2405.17525) |  Link |
| 2024 | **Graph Anomaly Detection with Domain-Agnostic Pre-Training and Few-Shot Adaptation** | IEEE ICDE 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10597726) |  Link |
| 2024 | **Parallel Graph Learning with Temporal Stamp Encoding for Fraudulent Transactions Detections** | IEEE TBD 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10753618) |  Link |
| 2024 | **Dispelling the Fake: Social Bot Detection Based on Edge Confidence Evaluation** | IEEE TNNLS 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10530431) |  Link |
| 2024 | **Friend or Foe? Mining Suspicious Behavior via Graph Capsule Infomax Detector against Fraudsters** | TheWebConf 2024 | [Link](https://dl.acm.org/doi/pdf/10.1145/3589334.3645706) |  [Link](https://github.com/blacksingular/Bio-GNN) |
| 2024 | **Graph Anomaly Detection with Bi-level Optimization** | TheWebConf 2024 | [Link](https://dl.acm.org/doi/pdf/10.1145/3589334.3645673) |  [Link](https://github.com/blacksingular/Bio-GNN) |
| 2024 | **Heterogeneous Subgraph Transformer for Fake News Detection** | TheWebConf 2024 | [Link](https://arxiv.org/pdf/2404.13192) |  Link |
| 2024 | **Guarding Graph Neural Networks for Unsupervised Graph Anomaly Detection** | arXiv 2024 | [Link](https://arxiv.org/pdf/2404.16366) |  Link |
| 2024 | **Improving Robustness of GNN-based Anomaly Detection by Graph Adversarial Training** | LREC-COLING 2024 | [Link](https://aclanthology.org/2024.lrec-main.779.pdf) |  Link |
| 2024 | **Multi-task Contrastive Learning for Anomaly Detection on Attributed Networks** | PAKDD 2024 | [Link](https://link.springer.com/chapter/10.1007/978-981-97-2242-6_2) |  Link |
| 2024 | **TCGNN: Text-Clustering Graph Neural Networks for Fake News Detection on Social Media** | PAKDD 2024 | [Link](https://link.springer.com/chapter/10.1007/978-981-97-2266-2_11) |  Link |
| 2024 | **Generation is better than Modification: Combating High Class Homophily Variance in Graph Anomaly Detection** | arXiv 2024 | [Link](https://arxiv.org/pdf/2403.10339) |  Link |
| 2024 | **Revisiting Attack-caused Structural Distribution Shift in Graph Anomaly Detection** | IEEE TKDE 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10478154) | [Link](https://github.com/fortunato-all/skl-GDN) |
| 2024 | **F2GNN: An Adaptive Filter with Feature Segmentation for Graph-Based Fraud Detection** | ICASSP 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10446523) |  Link |
| 2024 | **RAGFormer: Learning Semantic Attributes and Topological Structure for Fraud Detection** | arXiv 2024 | [Link](https://arxiv.org/pdf/2402.17472) |  [Link](https://anonymous.4open.science/r/RAGFormer-4675) |
| 2024 | **CaT-GNN: Enhancing Credit Card Fraud Detection via Causal Temporal Graph Neural Networks** | arXiv 2024 | [Link](https://arxiv.org/pdf/2402.14708) |  Link |
| 2024 | **Generative Semi-supervised Graph Anomaly Detection** | NeurIPS 2024 | [Link](https://arxiv.org/pdf/2402.11887) |  [Link](https://github.com/mala-lab/GGAD) |
| 2024 | **Multitask Active Learning for Graph Anomaly Detection** | arXiv 2024 | [Link](https://arxiv.org/pdf/2401.13210) |  [Link](https://github.com/AhaChang/MITIGATE) |
| 2024 | **Provably Powerful Graph Neural Networks for Directed Multigraphs** | AAAI 2024 | [Link](https://arxiv.org/pdf/2306.11586) |  [Link](https://github.com/IBM/Multi-GNN) |
| 2024 | **Propagation Tree Is Not Deep: Adaptive Graph Contrastive Learning Approach for Rumor Detection** | AAAI 2024 | [Link](https://ojs.aaai.org/index.php/AAAI/article/view/27757) |  [Link](https://github.com/CcQunResearch/RAGCL) |
| 2024 | **Barely Supervised Learning for Graph-Based Fraud Detection** | AAAI 2024 | [Link](https://ojs.aaai.org/index.php/AAAI/article/view/29593) |  Link |
| 2024 | **ADA-GAD: Anomaly-Denoised Autoencoders for Graph Anomaly Detection** | AAAI 2024 | [Link](https://ojs.aaai.org/index.php/AAAI/article/view/28691) |  Link |
| 2024 | **Pre-trained Online Contrastive Learning for Insurance Fraud Detection** | AAAI 2024 | [Link](https://ojs.aaai.org/index.php/AAAI/article/view/30259) |  [Link](https://github.com/finint/POCL) |
| 2024 | **Towards Robust Rumor Detection with Graph Contrastive and Curriculum Learning** | ACM TKDD 2024 | [Link](https://dl.acm.org/doi/pdf/10.1145/3653023) |  Link |
| 2024 | **Partitioning Message Passing for Graph Fraud Detection** | ICLR 2024 | [Link](https://openreview.net/pdf?id=tEgrUrUuwA) |  [Link](https://github.com/Xtra-Computing/PMP) |
| 2024 | **Consistency Training with Learnable Data Augmentation for Graph Anomaly Detection with Limited Supervision** | ICLR 2024 | [Link](https://openreview.net/pdf?id=elMKXvhhQ9) |  [Link](https://github.com/Xtra-Computing/ConsisGAD) |
| 2024 | **Boosting Graph Anomaly Detection with Adaptive Message Passing** | ICLR 2024 | [Link](https://openreview.net/pdf?id=CanomFZssu) |  Link |
| 2024 | **Rayleigh Quotient Graph Neural Networks for Graph-level Anomaly Detection** | ICLR 2024 | [Link](https://arxiv.org/pdf/2310.02861.pdf) |  [Link](https://github.com/xydong127/RQGNN) |
| 2024 | **PhoGAD: Graph-based Anomaly Behavior Detection with Persistent Homology Optimization** | WSDM 2024 | [Link](https://arxiv.org/pdf/2401.10547) |  Link |
| 2024 | **SCALA: Sparsification-based Contrastive Learning for Anomaly Detection on Attributed Networks** | arXiv 2024 | [Link](https://arxiv.org/pdf/2401.01625) |  Link |
### 2023 [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]
| Year   | Title  | Venue |  Paper | Code  |
|-------|--------|--------|--------|-----------|
| 2023 | **Three Revisits to Node-Level Graph Anomaly Detection: Outliers, Message Passing and Hyperbolic Neural Networks** | LoG 2023 | [Link](https://proceedings.mlr.press/v231/gu24a/gu24a.pdf) |  [Link](https://github.com/Jing-DS/HNN_GAD) |
| 2023 | **Data Augmentation for Supervised Graph Outlier Detection with Latent Diffusion Models** | arXiv 2023 | [Link](https://arxiv.org/pdf/2312.17679) |  [Link](https://pypi.org/project/godm/) |
| 2023 | **GAD-NR: Graph Anomaly Detection via Neighborhood Reconstruction** | WSDM 2024 | [Link](https://arxiv.org/pdf/2306.01951.pdf) |  [Link](https://github.com/Graph-COM/GAD-NR) |
| 2023 | **DGA-GNN: Dynamic Grouping Aggregation GNN for Fraud Detection** | AAAI 2024 | [Link](https://ojs.aaai.org/index.php/AAAI/article/view/29067) |  [Link](https://github.com/AtwoodDuan/DGA-GNN) |
| 2023 | **DiG-In-GNN: Discriminative Feature Guided GNN-Based Fraud Detector against Inconsistencies in Multi-Relation Fraud Graph** | AAAI 2024 | [Link](https://ojs.aaai.org/index.php/AAAI/article/view/28785) |  [Link](https://github.com/GraphBerry/DiG-In-GNN) |
| 2023 | **GAMC: An Unsupervised Method for Fake News Detection using Graph Autoencoder with Masking** | AAAI 2024 | [Link](https://arxiv.org/pdf/2312.05739.pdf) |  Link |
| 2023 | **Revisiting Graph-based Fraud Detection in Sight of Heterophily and Spectrum** | AAAI 2024 | [Link](https://arxiv.org/pdf/2312.06441.pdf) |  Link |
| 2023 | **GADY: Unsupervised Anomaly Detection on Dynamic Graphs** | AAAI 2024 | [Link](https://arxiv.org/pdf/2310.16376.pdf) |  Link |
| 2023 | **Realistic Synthetic Financial Transactions for Anti-Money Laundering Models** | NeurIPS 2023 | [Link](https://arxiv.org/pdf/2306.12251.pdf) |  [Link](https://github.com/IBM/Multi-GNN) | 
| 2023 | **GADBench: Revisiting and Benchmarking Supervised Graph Anomaly Detection** | NeurIPS 2023 | [Link](https://arxiv.org/pdf/2306.12251.pdf) |  [Link](https://github.com/squareRoot3/GADBench) | 
| 2023 | **GAD-EBM: Graph Anomaly Detection using Energy-Based Models** | NeurIPS 2023   (GLFrontiers Workshop) | [Link](https://drive.google.com/file/d/1s499nrQHO6721mshGnBQgH7xz7VkSjs5/edit) |  [Link](https://github.com/Graph-COM/GAD-EBM) | 
| 2023 | **Towards Self-Interpretable Graph-Level Anomaly Detection** | NeurIPS 2023 | [Link](https://openreview.net/pdf?id=SAzaC8f3cM) |  [Link](https://github.com/yixinliu233/SIGNET) | 
| 2023 | **Truncated Affinity Maximization: One-class Homophily Modeling for Graph Anomaly Detection** | NeurIPS 2023 | [Link](https://arxiv.org/abs/2306.00006) |  [Link](https://github.com/mala-lab/TAM-master/) |
| 2023 | **Dynamic Relation-Attentive Graph Neural Networks for Fraud Detection** | ICDM 2023 Workshops | [Link](https://arxiv.org/pdf/2310.04171.pdf) |  Link | 
| 2023 | **Reinforcement Neighborhood Selection for Unsupervised Graph Anomaly Detection** | ICDM 2023 | [Link](https://arxiv.org/pdf/2312.05526.pdf) |  Link |  
| 2023 | **RHGNN: Fake reviewer detection based on reinforced heterogeneous graph neural networks** | Knowledge-Based Systems 2023 | [Link](https://www.sciencedirect.com/science/article/abs/pii/S0950705123007797) |  Link | 
| 2023 | **Few-shot Message-Enhanced Contrastive Learning for Graph Anomaly Detection** | arXiv 2023 | [Link](https://arxiv.org/pdf/2311.10370.pdf) |  Link | 
| 2023 | **GoSage: Heterogeneous Graph Neural Network Using Hierarchical Attention for Collusion Fraud Detection** | ACM ICAIF 2023 | [Link](https://dl.acm.org/doi/pdf/10.1145/3604237.3626856) |  Link | 
| 2023 | **ADAMM: Anomaly Detection of Attributed Multi-graphs with Metadata: A Unified Neural Network Approach** | IEEE Bigdata 2023 | [Link](https://arxiv.org/pdf/2311.07355.pdf) |  Link | 
| 2023 | **SplitGNN: Spectral Graph Neural Network for Fraud Detection against Heterophily** | CIKM 2023 | [Link](https://dl.acm.org/doi/10.1145/3583780.3615067) |  [Link](https://github.com/split-gnn/splitgnn) | 
| 2023 | **THGNN: An Embedding-based Model for Anomaly Detection in Dynamic Heterogeneous Social Networks** | CIKM 2023 | [Link](https://dl.acm.org/doi/pdf/10.1145/3583780.3615079) |  [Link](https://github.com/THGNN/THGNN) | 
| 2023 | **Voucher Abuse Detection with Prompt-based Fine-tuning on Graph Neural Networks** | CIKM 2023 | [Link](https://dl.acm.org/doi/pdf/10.1145/3583780.3615505) |  Link | 
| 2023 | **Class Label-aware Graph Anomaly Detection** | CIKM 2023 | [Link](https://dl.acm.org/doi/abs/10.1145/3583780.3615249) |  [Link](https://github.com/jhkim611/CLAD) | 
| 2023 | **Generative Graph Augmentation for Minority Class in Fraud Detection** | CIKM 2023 | [Link](https://dl.acm.org/doi/abs/10.1145/3583780.3615255) |  Link | 
| 2023 | **GraphFC: Customs Fraud Detection with Label Scarcity** | CIKM 2023 | [Link](https://arxiv.org/pdf/2305.11377.pdf) | [Link](https://github.com/k-s-b/gnn_wco) |
| 2023 | **Learning Node Abnormality with Weak Supervision** |  CIKM 2023 | [Link](https://dl.acm.org/doi/abs/10.1145/3583780.3614950) |  Link | 
| 2023 | **Collaborative Fraud Detection: How Collaboration Impacts Fraud Detection** |  ACM MM 2023 | [Link](https://dl.acm.org/doi/10.1145/3581783.3613780) |  [Link](https://github.com/CatScarf/COFD-MM) | 
| 2023 | **Multi-modal Social Bot Detection: Learning Homophilic and Heterophilic Connections Adaptively** |  ACM MM 2023 | [Link](https://dl.acm.org/doi/abs/10.1145/3581783.3612569) |  Link | 
| 2023 | **Open-Set Graph Anomaly Detection via Normal Structure Regularisation** |  arXiv 2023 | [Link](https://arxiv.org/pdf/2311.06835.pdf) |  Link |
| 2023 | **Few-shot Message-Enhanced Contrastive Learning for Graph Anomaly Detection** |  arXiv 2023 | [Link](https://arxiv.org/pdf/2311.10370.pdf) |  Link | 
| 2023 | **ASA-GNN: Adaptive Sampling and Aggregation-Based Graph Neural Network for Transaction Fraud Detection** | IEEE TCSS 2023 | [Link](https://ieeexplore.ieee.org/abstract/document/10354439) |  [Link]() | 
| 2023 | **Joint Credibility Estimation of News, User, and Publisher via Role-relational Graph Convolutional Networks** | ACM TWEB 2023 | [Link](https://dl.acm.org/doi/abs/10.1145/3617418) |  [Link](https://github.com/shresthaanu/RoleRGCN) | 
| 2023 | **GLAD: Content-aware Dynamic Graphs For Log Anomaly Detection** | IEEE ICKG 2023 | [Link](https://arxiv.org/pdf/2309.05953.pdf) |  [Link](https://github.com/yul091/GraphLogAD) |  
| 2023 | **FIW-GNN: A Heterogeneous Graph-Based Learning Model for Credit Card Fraud Detection** | IEEE DSAA 2023 | [Link](https://ieeexplore.ieee.org/abstract/document/10302538) |  Link | 
| 2023 | **Enabling Graph Neural Networks for Semi-Supervised Risk Prediction in Online Credit Loan Services** | ACM TIST  2023 | [Link](https://dl.acm.org/doi/abs/10.1145/3623401) |  [Link](https://github.com/MrZealand/S3GNN) | 
| 2023 | **Effective Multi-Graph Neural Networks for Illicit Account Detection on Cryptocurrency Transaction Networks** | arXiv 2023 | [Link](https://arxiv.org/pdf/2309.02460.pdf) |  [Link](https://github.com/TommyDzh/DIAM) |
| 2023 | **HRGCN: Heterogeneous Graph-level Anomaly Detection with Hierarchical Relation-augmented Graph Neural Networks** | IEEE DSAA 2023 | [Link](https://arxiv.org/pdf/2308.14340.pdf) |  [Link](https://github.com/jiaxililearn/HRGCN) |
| 2023 | **SAD: Semi-Supervised Anomaly Detection on Dynamic Graphs** | IJCAI 2023 | [Link](https://www.ijcai.org/proceedings/2023/0256.pdf) |  [Link](https://github.com/D10Andy/SAD) | 
| 2023 | **Robust Graph Anomaly Detection via Neural Sparsification** | IJCAI 2023 | [Link](https://www.ijcai.org/proceedings/2023/0234.pdf) |  [Link](https://github.com/KellyGong/SparseGAD) | 
| 2023 | **Don’t Ignore Alienation and Marginalization: Correlating Fraud Detection** | IJCAI 2023 | [Link](https://www.ijcai.org/proceedings/2023/0551.pdf) |  Link | 
| 2023 | **Preventing Attacks in Interbank Credit Rating with Selective-aware Graph Neural Network** | IJCAI 2023 | [Link](https://www.ijcai.org/proceedings/2023/0675.pdf) |  Link | 
| 2023 | **Fighting against Organized Fraudsters Using Risk Diffusion-based Parallel Graph Neural Network** | IJCAI 2023 | [Link](https://www.ijcai.org/proceedings/2023/0681.pdf) |  Link | 
| 2023 | **Diga: Guided Diffusion Model for Graph Recovery in Anti-Money Laundering** | KDD 2023 | [Link](https://dl.acm.org/doi/pdf/10.1145/3580305.3599806) |  Link | 
| 2023 | **DECOR: Degree-Corrected Social Graph Refinement for Fake News Detection** | KDD 2023 | [Link](https://dl.acm.org/doi/pdf/10.1145/3580305.3599298) |  [Link](https://github.com/jiayingwu19/DECOR) | 
| 2023 | **Towards Graph-level Anomaly Detection via Deep Evolutionary Mapping** | KDD 2023 | [Link](https://dl.acm.org/doi/pdf/10.1145/3580305.3599524) |  [Link](https://github.com/XiaoxiaoMa-MQ/GmapAD/) | 
| 2023 | **Towards Reliable Rare Category Analysis on Graphs via Individual Calibration** | KDD 2023 | [Link](https://dl.acm.org/doi/pdf/10.1145/3580305.3599525) |  [Link](https://github.com/wulongfeng/CaliRare) | 
| 2023 | **Evolve Path Tracer: Early Detection of Malicious Addresses in Cryptocurrency** | KDD 2023 | [Link](https://dl.acm.org/doi/pdf/10.1145/3580305.3599817) |  Link | 
| 2023 | **Removing Camouflage and Revealing Collusion: Leveraging Gang-crime Pattern in Fraudster Detection** | KDD 2023 | [Link](https://dl.acm.org/doi/pdf/10.1145/3580305.3599895) |  [Link](https://github.com/lwwang1995/ACD) | 
| 2023 | **Group-based Fraud Detection Network on e-Commerce Platforms** | KDD 2023 | [Link](https://dl.acm.org/doi/pdf/10.1145/3580305.3599836) |  [Link](https://github.com/yujianke100/GFDN) | 
| 2023 | **MIDLG: Mutual Information based Dual Level GNN for Transaction Fraud Complaint Verification** | KDD 2023 | [Link](https://arxiv.org/pdf/2308.02793.pdf) |  Link | 
| 2023 | **Dynamic graph neural network-based fraud detectors against collaborative fraudsters** | Knowledge-Based Systems 2023 | [Link](https://www.sciencedirect.com/science/article/pii/S095070512300638X) |  Link | 
| 2023 | **Crowdsourcing Fraud Detection over Heterogeneous Temporal MMMA Graph** | arXiv 2023 | [Link](https://arxiv.org/pdf/2308.02793.pdf) |  Link | 
| 2023 | **Graph Anomaly Detection at Group Level: A Topology Pattern Enhanced Unsupervised Approach** | arXiv 2023 | [Link](https://arxiv.org/pdf/2308.01063.pdf) |  Link | 
| 2023 | **Transaction Fraud Detection via Spatial-Temporal-Aware Graph Transformer** | arXiv 2023 | [Link](https://arxiv.org/pdf/2307.05121.pdf) |  Link | 
| 2023 | **Transaction Fraud Detection via an Adaptive Graph Neural Network** | arXiv 2023 | [Link](https://arxiv.org/pdf/2307.05633.pdf) |  Link | 
| 2023 | **Heuristic Heterogeneous Graph Reasoning Networks for Fact Verification** | IEEE TNNLS 2023 | [Link](https://ieeexplore.ieee.org/abstract/document/10149825) |  Link |
| 2023 | **Anomaly Detection in Networks via Score-Based Generative Models** | ICML 2023 Workshops | [Link](https://arxiv.org/pdf/2306.15324.pdf) |  [Link](https://github.com/realfolkcode/GraphDiffusionAnomaly) | 
| 2023 | **Interaction-Focused Anomaly Detection on Bipartite Node-and-Edge-Attributed Graphs** | IJCNN 2023 | [Link](https://ieeexplore.ieee.org/abstract/document/10191331) |  [Link](https://github.com/grab/GraphBEAN) |
| 2023 | **ConsE: Consistency Exploitation for Semi-Supervised Anomaly Detection in Graphs** | IJCNN 2023 | [Link](https://ieeexplore.ieee.org/abstract/document/10191356) |  Link | 
| 2023 | **Anti-Money Laundering in Cryptocurrency via Multi-Relational Graph Neural Network** | PAKDD 2023 | [Link](https://link.springer.com/chapter/10.1007/978-3-031-33377-4_10) | Link |
| 2023 | **Graph Contrastive Learning With Feature Augmentation for Rumor Detection** | IEEE TCSS 2023 | [Link](https://ieeexplore.ieee.org/abstract/document/10115277) |  Link | 
| 2023 | **Fraud detection on multi-relation graphs via imbalanced and interactive learning** | Information Sciences | [Link](https://www.sciencedirect.com/science/article/pii/S0020025523007387) | Link |
| 2023 | **Anti-Money Laundering by Group-Aware Deep Graph Learning** | IEEE TKDE | [Link](https://doi.org/10.1109/TKDE.2023.3272396) | Link |
| 2023 | **Subgraph Centralization: A Necessary Step for Graph Anomaly Detection** | SDM 2023 | [Link](https://arxiv.org/pdf/2301.06794.pdf) | [Link](https://github.com/IsolationKernel/Codes/tree/main/IDK/GraphAnomalyDetection) |
| 2023 | **Abnormal Event Detection via Hypergraph Contrastive Learning** | SDM 2023 | [Link](https://arxiv.org/pdf/2304.01226.pdf) | Link|
| 2023 | **Semi-Supervised Credit Card Fraud Detection via Attribute-Driven Graph Representation** | AAAI 2023 | [Link](https://www.xiangshengcloud.top/publication/semi-supervised-credit-card-fraud-detection-via-attribute-driven-graph-representation/Sheng-AAAI2023.pdf) | [link](https://github.com/finint/antifraud) |
| 2023 | **TUAF: Triple-Unit-Based Graph-Level Anomaly Detection with Adaptive Fusion Readout**  | DASFAA 2023 |  [Link](https://link.springer.com/chapter/10.1007/978-3-031-30678-5_31) | [Link](https://github.com/scu-kdde/OAM-TUAF-2023) |
| 2023 | **DualFraud: Dual-Target Fraud Detection and Explanation in Supply Chain Finance Across Heterogeneous Graphs**  | DASFAA 2023 |  [Link](https://link.springer.com/chapter/10.1007/978-3-031-30678-5_28) | [Link](https://github.com/anonymousDualFraud/DualFraud) |
| 2023 | **GAT-COBO: Cost-Sensitive Graph Neural Network for Telecom Fraud Detection**  | arXiv 2023 |  [Link](https://arxiv.org/pdf/2303.17334.pdf) | [Link](https://github.com/xxhu94/GAT-COBO) |
| 2023 | **Cost Sensitive GNN-based Imbalanced Learning for Mobile Social Network Fraud Detection**  | arXiv 2023 |  [Link](https://arxiv.org/pdf/2303.17486.pdf) | [Link](https://github.com/xxhu94/CSGNN) |
| 2023 | **DEDGAT: Dual Embedding of Directed Graph Attention Networks for Detecting Financial Risk**  | arXiv 2023 |  [Link](https://arxiv.org/pdf/2303.03933.pdf) | Link |
| 2023 | **Towards Improved Illicit Node Detection with Positive-Unlabelled Learning**  | IEEE ICBC 2023 |  [Link](https://arxiv.org/pdf/2303.02462.pdf) | Link |
| 2023 | **Counterfactual Graph Learning for Anomaly Detection on Attributed Networks**  | IEEE TKDE |  [Link](https://ieeexplore.ieee.org/abstract/document/10056298) | Link |
| 2023 | **Catch Me If You Can: Semi-supervised Graph Learning for Spotting Money Laundering**  | arXiv 2023 |  [Link](https://arxiv.org/pdf/2302.11880) | [Link](https://github.com/AwesomeDeepAI/Graph-based-money-laundering-detection) |
| 2023 | **Energy-based Out-of-Distribution Detection for Graph Neural Networks**  | ICLR 2023 |  [Link](https://arxiv.org/pdf/2302.02914.pdf) | [Link](https://github.com/qitianwu/GraphOOD-GNNSafe) |
| 2023 | **A Differential Geometric View and Explainability of GNN on Evolving Graphs**  | ICLR 2023 |  [Link](https://openreview.net/pdf?id=lRdhvzMpVYV) | Link |
| 2023 | **Attacking Fake News Detectors via Manipulating News Social Engagement**  | TheWebConf 2023 |  [Link](https://arxiv.org/pdf/2302.07363.pdf) | [Link](https://github.com/hwang219/AttackFakeNews) |
| 2023 | **Label Information Enhanced Fraud Detection against Low Homophily in Graphs**  | TheWebConf 2023 |  [Link](https://arxiv.org/pdf/2302.10407.pdf) | [Link](https://github.com/Orion-wyc/GAGA) |
| 2023 | **Addressing Heterophily in Graph Anomaly Detection: A Perspective of Graph Spectrum**  | TheWebConf 2023 |  [Link](https://blacksingular.github.io/papers/www23-GHRN.pdf) | [Link](https://github.com/blacksingular/GHRN) |
| 2023 | **LGM-GNN: A Local and Global Aware Memory-Based Graph Neural Network for Fraud Detection**  | IEEE TBD |  [Link](https://ieeexplore.ieee.org/abstract/document/10008063) | Link |
| 2023 | **Multi-view co-attention network for fake news detection by modeling topic-specific user and news source credibility**  | Information Processing & Management |  [Link](https://www.sciencedirect.com/science/article/pii/S0306457322002473) | Link |
| 2023 | **Temporal Motifs for Financial Networks: A Study on Mercari, JPMC, and Venmo Platforms**  | arXiv 2023 |  [Link](https://arxiv.org/pdf/2301.07791.pdf) | Link |
| 2023 | **Evolve Path Tracer: Early Detection of Malicious Addresses in Cryptocurrency**  | arXiv 2023 |  [Link](https://arxiv.org/pdf/2301.05412.pdf) | Link |
| 2023 | **RiskProp: Account Risk Rating on Ethereum via De-anonymous Score and Network Propagation**  | arXiv 2023 |  [Link](https://arxiv.org/pdf/2301.00354.pdf) | Link |
### 2022 [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]
| Year   | Title  | Venue |  Paper | Code  |
|-------|--------|--------|--------|-----------|
| 2022 | **Mining User-aware Multi-relations for Fake News Detection in Large Scale Online Social Networks**  | WSDM 2023 |  [Link](https://arxiv.org/pdf/2212.10778.pdf) | [Link](https://github.com/xingsumq/Us-DeFake) |
| 2022 | **Alleviating Structural Distribution Shift in Graph Anomaly Detection**  | WSDM 2023 |  [Link](https://blacksingular.github.io/papers/wsdm23-GDN.pdf) | [Link](https://github.com/blacksingular/wsdm_GDN) |
| 2022 | **Cross-Domain Graph Anomaly Detection via Anomaly-aware Contrastive Alignment**  | AAAI 2023 |  [Link](https://arxiv.org/pdf/2212.01096.pdf) | [Link](https://github.com/QZ-WANG/ACT) |
| 2022 | **Towards Learning to Discover Money Laundering Sub-network in Massive Transaction Network**  | AAAI 2023 |  [Link](http://yangy.org/works/gnn/AAAI23_Laundering.pdf) | Link |
| 2022 | **Nothing Stands Alone: Relational Fake News Detection with Hypergraph Neural Networks**  | IEEE BigData 2022|  [Link](https://ieeexplore.ieee.org/abstract/document/10020234) | [Link](https://github.com/ujeong1/IEEEBigdata22_HGFND) |
| 2022 | **Demystifying Bitcoin Address Behavior via Graph Neural Networks**  | ICDE 2023 |  [Link](https://arxiv.org/pdf/2211.14582.pdf) | Link |
| 2022 | **Anomaly Detection in Multiplex Dynamic Networks: from Blockchain Security to Brain Disease Prediction**  | NeurIPS 2022 Workshops |  [Link](https://arxiv.org/pdf/2211.08378.pdf) | Link |
| 2022 | **EvAnGCN: Evolving Graph Deep Neural Network Based Anomaly Detection in Blockchain**  | ADMA 2022 |  [Link](https://link.springer.com/chapter/10.1007/978-3-031-22064-7_32) | Link |
| 2022 | **Dual-discriminative Graph Neural Network for Imbalanced Graph-level Anomaly Detection**  | NeurIPS 2022 |  [Link](https://openreview.net/pdf?id=d6mf9AFoR-O) | [Link](https://github.com/graph-level-anomalies/iGAD) |
| 2022 | **Unsupervised Graph Outlier Detection: Problem Revisit, New Insight, and Superior Method**  | ICDE 2023 |  [Link](https://arxiv.org/pdf/2210.12941.pdf) | [Link](https://github.com/goldenNormal/vgod-github) |
| 2022 | **SybilFlyover: Heterogeneous graph-based fake account detection model on social networks**  | Knowledge-Based Systems |  [Link](https://doi.org/10.1016/j.knosys.2022.110038) | Link |
| 2022 | **Guided Self-Training based Semi-Supervised Learning for Fraud Detection**  | ACM ICAIF 2022 |  [Link](https://dl.acm.org/doi/abs/10.1145/3533271.3561783) | Link |
| 2022 | **LaundroGraph: Self-Supervised Graph Representation Learning for Anti-Money Laundering**  | ACM ICAIF 2022 |  [Link](https://arxiv.org/pdf/2210.14360) | Link |
| 2022 | **The Devil is in the Conflict: Disentangled Information Graph Neural Networks for Fraud Detection**  | ICDM 2022 |  [Link](https://arxiv.org/pdf/2210.12384.pdf) | Link |
| 2022 | **GraphBERT: Bridging Graph and Text for Malicious Behavior Detection on Social Media**  | ICDM 2022 |  [Link](https://aragakiyuiii.github.io/data/GraphBERT-%20Bridging%20Graph%20and%20Text%20for%20Malicious%20Behavior%20Detection%20on%20Social%20Media-ICDM22.pdf) | Link |
| 2022 | **DAGAD: Data Augmentation for Graph Anomaly Detection**  | ICDM 2022 |  [Link](https://arxiv.org/pdf/2210.09766.pdf) | [Link](https://github.com/FanzhenLiu/DAGAD) |
| 2022 | **Graph Anomaly Detection with Unsupervised GNNs**  | ICDM 2022 |  [Link](https://arxiv.org/pdf/2210.09535.pdf) | [Link](https://github.com/sawlani/GLAM) |
| 2022 | **A Unified Propagation Forest-based Framework for Fake News Detection**  | COLING 2022 |  [Link](https://aclanthology.org/2022.coling-1.244.pdf) | Link |
| 2022 | **Adversarial Contrastive Learning for Evidence-aware Fake News Detection with Graph Neural Networks**  | arXiv 2022 |  [Link](https://arxiv.org/pdf/2210.05498.pdf) | [Link](https://github.com/CRIPAC-DIG/GETRAL) |
| 2022 | **BOND: Benchmarking Unsupervised Outlier Node Detection on Static Attributed Graphs**  | NeurIPS 2022 |  [Link](https://arxiv.org/pdf/2206.10071.pdf) | [Link](https://github.com/pygod-team/pygod/tree/main/benchmark) |
| 2022 | **DGraph: A Large-Scale Financial Dataset for Graph Anomaly Detection**  | NeurIPS 2022 |  [Link](https://arxiv.org/pdf/2207.03579.pdf) | [Link](https://github.com/DGraphXinye/DGraphFin_baseline) |
| 2022 | **Dual-Augment Graph Neural Network for Fraud Detection**  | CIKM 2022  |  [Link](https://dl.acm.org/doi/pdf/10.1145/3511808.3557586)  | Link |
| 2022 | **Explainable Graph-based Fraud Detection via Neural Meta-graph Search**  | CIKM 2022  |  [Link](https://ponderly.github.io/pub/NGS_CIKM2022.pdf)  | Link |
| 2022 | **Domain-Aware Federated Social Bot Detection with Multi-Relational Graph Neural Networks**  | IJCNN 2022  |  [Link](http://www.liyangyang.com/wp-content/uploads/2022/10/IJCNN22-Bot-YangyangLi.pdf)  | Link |
| 2022 | **GCCAD: Graph Contrastive Coding for Anomaly Detection**  | IEEE TKDE 2022  |  [Link](https://arxiv.org/pdf/2108.07516.pdf)  | [Link](https://github.com/allanchen95/GCCAD) |
| 2022 | **Graph Neural Network for Fraud Detection via Spatial-Temporal Attention**  | IEEE TKDE 2022  |  [Link](https://ieeexplore.ieee.org/abstract/document/9204584)  | [Link](https://github.com/finint/antifraud) |
| 2022 | **Reinforcement Subgraph Reasoning for Fake News Detection**  | KDD 2022 |  [Link](https://www.microsoft.com/en-us/research/uploads/prod/2022/05/KDD2022_FakeNewsDetection_camera_ready.pdf) | Link |
| 2022 | **ROLAND: Graph Learning Framework for Dynamic Graphs**  | KDD 2022 |  [Link](https://arxiv.org/pdf/2208.07239.pdf) | [Link](https://github.com/snap-stanford/roland) |
| 2022 | **Hierarchical Multi-Modal Fusion on Dynamic Heterogeneous Graph for Health Insurance Fraud Detection**  | IEEE ICME 2022 |  [Link](https://ieeexplore.ieee.org/abstract/document/9859871/) | Link |
| 2022 | **Graph-Aware Deep Fusion Networks for Online Spam Review Detection**  | IEEE TCSS 2022 |  [Link](https://ieeexplore.ieee.org/document/9833456) | Link |
| 2022 | **Modeling User Behavior With Interaction Networks for Spam Detection**  | SIGIR 2022 |  [Link](https://arxiv.org/pdf/2207.10767.pdf) | Link |
| 2022 | **Table2Graph: Transforming Tabular Data to Unified Weighted Graph**  | IJCAI 2022 |  [Link](https://www.ijcai.org/proceedings/2022/0336.pdf) | Link |
| 2022 | **RoSGAS: Adaptive Social Bot Detection with Reinforced Self-Supervised GNN Architecture Search**  | arXiv 2022 |  [Link](https://arxiv.org/pdf/2206.06757.pdf) | Link |
| 2022 | **Rethinking Graph Neural Networks for Anomaly Detection**  | ICML 2022 |  [Link](https://arxiv.org/pdf/2205.15508.pdf) | [Link](https://github.com/squareRoot3/Rethinking-Anomaly-Detection) |
| 2022 | **Can Abnormality be Detected by Graph Neural Networks?**  | IJCAI 2022 |  [Link](http://yangy.org/works/gnn/IJCAI22_Abnormality.pdf) | [Link](https://github.com/zjunet/AMNet) |
| 2022 | **Modelling graph dynamics in fraud detection with "Attention"**  | Preprint |  [Link](https://www.researchgate.net/publication/360164442_Modelling_graph_dynamics_in_fraud_detection_with_Attention) | [Link](https://github.com/DS3Lab/DyHGN) |
| 2022 | **ALLIE: Active Learning on Large-scale Imbalanced Graphs**  | WWW 2022 |  [Link](https://assets.amazon.science/b0/3c/5d25ba6a44a9aeef450083b41e88/allie-active-learning-on-large-scale-imbalanced-graphs.pdf) | Link |
| 2022 | **H2-FDetector: A GNN-based Fraud Detector with Homophilic and Heterophilic Connections**  | WWW 2022 |  [Link](https://dl.acm.org/doi/pdf/10.1145/3485447.3512195) | Link |
| 2022 | **Prohibited Item Detection via Risk Graph Structure Learning**  | WWW 2022 |  [Link](http://shichuan.org/doc/130.pdf) | Link |
| 2022 | **TTAGN: Temporal Transaction Aggregation Graph Network For Ethereum Phishing Scams Detection**  | WWW 2022 |  [Link](https://arxiv.org/pdf/2204.13442.pdf) | Link |
| 2022 | **AUC-oriented Graph Neural Network for Fraud Detection**  | WWW 2022 |  [Link](https://ponderly.github.io/pub/AOGNN_WWW2022.pdf) | Link |
| 2022 | **Bi-Level Selection via Meta Gradient for Graph-based Fraud Detection**  | DASFAA 2022 |  [Link](https://ponderly.github.io/pub/BLS_DASFAA2022.pdf) | Link |
| 2022 | **Nowhere to Hide: Online Rumor Detection Based on Retweeting Graph Neural Networks**  | IEEE TNNLS 2022 |  [Link](https://ieeexplore.ieee.org/abstract/document/9750388) | Link |
| 2022 | **Improved Aggregating and Accelerating Training Methods for Spatial Graph Neural Networks on Fraud Detection**  | arXiv 2022 |  [Link](https://arxiv.org/pdf/2202.06580.pdf) | Link |
| 2022 | **BotSpot++: A Hierarchical Deep Ensemble Model for Bots Install Fraud Detection in Mobile Advertising**  | ACM TOIS 2022 |  [Link](https://dl.acm.org/doi/10.1145/3476107) | [Link](https://github.com/mobvistaresearch/BotSpot-Plus) |
| 2022 | **Inductive Graph Representation Learning for fraud detection**  | Expert Systems with Applications 2022 |  [Link](https://www.sciencedirect.com/science/article/pii/S0957417421017449) | [Link](https://github.com/Charlesvandamme/Inductive-Graph-Representation-Learning-for-Fraud-Detection) |
| 2022 | **Improving Fraud Detection via Hierarchical Attention-based Graph Neural Network**  | arXiv 2022 |  [Link](https://arxiv.org/pdf/2202.06096.pdf) | Link |
| 2022 | **Markov-Driven Graph Convolutional Networks for Social Spammer Detection**  | IEEE TKDE 2022 |  [Link](https://ieeexplore.ieee.org/abstract/document/9712381) | [Link](https://github.com/dleyan/MDGCN) |
| 2022 | **Deep Graph Learning for Anomalous Citation Detection**  | IEEE TNNLS 2022 |  [Link](https://arxiv.org/pdf/2202.11360.pdf) | Link |
| 2022 | **Towards Fine-Grained Reasoning for Fake News Detection**  | AAAI 2022 |  [Link](https://arxiv.org/pdf/2110.15064.pdf) | [Link](https://github.com/Ahren09/FinerFact) |

### 2021 [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]
| Year   | Title  | Venue |  Paper | Code  |
|-------|--------|--------|--------|-----------|
| 2021 | **eFraudCom: An E-commerce Fraud Detection System via Competitive Graph Neural Networks**  | ACM TOIS 2021 |  [Link](https://www.researchgate.net/publication/353353148_eFraudCom_An_E-commerce_Fraud_Detection_System_via_Competitive_Graph_Neural_Networks) | [Link](https://github.com/GeZhangMQ/eFraudCom) |
| 2021 | **MAFI: GNN-based Multiple Aggregators and Feature Interactions Network for Fraud Detection over Heterogeneous Graph**  | IEEE TBD 2021 |  [Link](https://ieeexplore.ieee.org/abstract/document/9638331) | Link |
| 2021 | **FRAUDRE: Fraud Detection Dual-Resistant to Graph Inconsistency and Imbalance**  | ICDM 2021  |  [Link](https://www.researchgate.net/publication/357512222_FRAUDRE_Fraud_Detection_Dual-Resistant_to_Graph_Inconsistency_and_Imbalance) | [Link](https://github.com/FraudDetection/FRAUDRE) |
| 2021 | **Fake Reviewer Group Detection in Online Review Systems**  | ICDM 2021 Workshop  |  [Link](https://arxiv.org/pdf/2112.06403.pdf) | Link |
| 2021 | **Temporal Graph Representation Learning for Detecting Anomalies in E-payment Systems**  | ICDM 2021 Workshop  |  Link | Link |
| 2021 | **Know-GNN: An Explainable Knowledge-Guided Graph Neural Network for Fraud Detection**  | ICONIP 2021  |  [Link](https://link.springer.com/chapter/10.1007/978-3-030-92307-5_19) | Link |
| 2021 | **TEGDetector: A Phishing Detector that Knows Evolving Transaction Behaviors**  | arXiv 2021  |  [Link](https://arxiv.org/pdf/2111.15446.pdf) | Link |
| 2021 | **Knowledge-Guided Fraud Detection Using Semi-supervised Graph Neural Network**  | WISE 2021  |  [Link](http://link.springer.com/chapter/10.1007/978-3-030-90888-1_29) | Link |
| 2021 | **Deep Fraud Detection on Non-attributed Graph**  | IEEE BigData 2021  |  [Link](https://arxiv.org/pdf/2110.01171.pdf) | Link |
| 2021 | **Distilling Meta Knowledge on Heterogeneous Graph for Illicit Drug Trafficker Detection on Social Media**  | NeurIPS 2021  |  [Link](https://chuxuzhang.github.io/paper/NeurIPS21-MetaHG.pdf) | [Link](https://github.com/Meta-HG/MetaHG) |
|2021  | **ANEMONE: Graph Anomaly Detection with Multi-Scale Contrastive Learning** | CIKM 2021 |[Link](https://shiruipan.github.io/publication/cikm-21-jin/cikm-21-jin.pdf)| [Link](https://github.com/GRAND-Lab/ANEMONE)|
| 2021 | **Prohibited Item Detection on Heterogeneous Risk Graphs**  | CIKM 2021  |  [Link](http://shichuan.org/doc/118.pdf) | Link |
| 2021 | **Modeling Heterogeneous Graph Network on Fraud Detection: A Community-based Framework with Attention Mechanism**  | CIKM 2021  |  [Link](https://dl.acm.org/doi/pdf/10.1145/3459637.3482277) | Link |
| 2021 | **Structural Temporal Graph Neural Networks for Anomaly Detection in Dynamic Graphs**  | CIKM 2021  |  [Link](https://arxiv.org/pdf/2005.07427.pdf)  | Link|
| 2021 | **Action Sequence Augmentation for Early Graph-based Anomaly Detection**  | CIKM 2021  |  [Link](http://nshah.net/publications/ELAND.CIKM.21.pdf)  | [Link](https://github.com/DM2-ND/Eland) |
| 2021 | **Towards Anomaly-resistant Graph Neural Networks via Reinforcement Learning**  | CIKM 2021  |  [Link](http://www.public.asu.edu/~kding9/pdf/CIKM2021_RARE-GNN.pdf)  | Link|
| 2021 | **Hetero-SCAN: Towards Social Context Aware Fake News Detection via Heterogeneous Graph Neural Network**  | arXiv 2021  |  [Link](https://arxiv.org/pdf/2109.08022.pdf)  | Link|
| 2021 | **A Synergistic Approach for Graph Anomaly Detection With Pattern Mining and Feature Learning**  | IEEE TNNLS 2021  |  [Link](https://ieeexplore.ieee.org/abstract/document/9525041)  | [Link](https://github.com/zhao-tong/Graph-Anomaly-Loss) |
| 2021 | **Cross-domain Graph Anomaly Detection**  | IEEE TNNLS 2021  |  [Link](http://www.public.asu.edu/~kding9/pdf/TNNLS_Commander.pdf)  | Link |
| 2021 | **Recurrent Graph Neural Networks for Rumor Detection in Online Forums**  | KDD 2021 Workshop |  [Link](https://arxiv.org/pdf/2108.03548.pdf)  | Link |
| 2021 | **Heterogeneous Temporal Graph Transformer: An Intelligent System for Evolving Android Malware Detection**  | KDD 2021  |  [Link](https://dl.acm.org/doi/pdf/10.1145/3447548.3467168)  | Link |
| 2021 | **Intention-aware Heterogeneous Graph Attention Networks for Fraud Transactions Detection**  | KDD 2021  |  [Link](https://dl.acm.org/doi/pdf/10.1145/3447548.3467142)  | Link |
| 2021 | **Live-Streaming Fraud Detection: A Heterogeneous Graph Neural Network Approach**  | KDD 2021  |  [Link](https://dl.acm.org/doi/pdf/10.1145/3447548.3467065)  | Link |
| 2021 | **Bipartite Dynamic Representations for Abuse Detection**  | KDD 2021  |  [Link](https://dl.acm.org/doi/pdf/10.1145/3447548.3467141)  | [Link](https://github.com/qema/bidyn) |
| 2021 | **Relational Graph Neural Networks for Fraud Detection in a Super-App environment**  | KDD 2021 Workshop  |  [Link](https://arxiv.org/pdf/2107.13673.pdf)  | Link |
| 2021 | **Compare to The Knowledge: Graph Neural Fake News Detection with External Knowledge**  | ACL 2021  |  [Link](https://aclanthology.org/2021.acl-long.62.pdf)  | [Link](https://github.com/BUPT-GAMMA/CompareNet_FakeNewsDetection) |
| 2021 | **Towards Propagation Uncertainty: Edge-enhanced Bayesian Graph Convolutional Networks for Rumor Detection**  | ACL 2021  |  [Link](https://aclanthology.org/2021.acl-long.297.pdf)  | [Link](https://github.com/weilingwei96/EBGCN) |
| 2021 | **Catch me if you can: A participant-level rumor detection framework via fine-grained user representation learning**  | Information Processing & Management 2021  |  [Link](https://www.sciencedirect.com/science/article/pii/S0306457321001643)  | Link |
| 2021 | **Decoupling Representation Learning and Classification for GNN-based Anomaly Detection**  | SIGIR 2021  |  [Link](https://dl.acm.org/doi/10.1145/3404835.3462944)  | [Link](https://github.com/wyl7/DCI-pytorch) |
| 2021 | **Improving fake news detection with domain-adversarial and graph-attention neural network**  | Decision Support Systems  |  [Link](https://www.sciencedirect.com/science/article/pii/S0167923621001433)  | Link |
| 2021 | **Anomaly Detection in Dynamic Graphs via Transformer**  | arXiv 2021  |  [Link](https://arxiv.org/pdf/2106.09876.pdf)  | Link |
| 2021 | **HIN-RNN: A Graph Representation Learning Neural Network for Fraudster Group Detection With No Handcrafted Features**  | arXiv 2021  |  [Link](https://arxiv.org/pdf/2105.11602.pdf)  | Link |
| 2021 | **Fraud Detection in Online Product Review Systems via Heterogeneous Graph Transformer**  | IEEE Access  |  [Link](https://www.researchgate.net/publication/352008651_Fraud_Detection_in_Online_Product_Review_Systems_via_Heterogeneous_Graph_Transformer)  | Link |
| 2021 | **User Preference-aware Fake News Detection**  | SIGIR 2021  |  [Link](https://arxiv.org/pdf/2104.12259.pdf)  | [Link](https://github.com/safe-graph/GNN-FakeNews) |
| 2021 | **Temporal-Aware Graph Neural Network for Credit Risk Prediction**  | SDM 2021  |  [Link](https://epubs.siam.org/doi/pdf/10.1137/1.9781611976700.79)  | Link |
| 2021 | **IFSpard: An Information Fusion-based Framework for Spam Review Detection**  | WWW 2021  |  [Link](https://dl.acm.org/doi/abs/10.1145/3442381.3449920)  | Link |
| 2021 | **Improving Cyberbullying Detection with User Interaction**  | WWW 2021  |  [Link](https://arxiv.org/pdf/2011.00449.pdf)  | [Link](https://github.com/gesy17/TGBully) |
| 2021 | **Pick and Choose: A GNN-based Imbalanced Learning Approach for Fraud Detection**  | WWW 2021  |  [Link](https://ponderly.github.io/pub/PCGNN_WWW2021.pdf)  | [Link](https://github.com/PonderLY/PC-GNN) |
| 2021 | **Credit Risk and Limits Forecasting in E-Commerce Consumer Lending Service via Multi-view-aware Mixture-of-experts Nets**  | WSDM 2021  |  [Link](https://dl.acm.org/doi/pdf/10.1145/3437963.3441743)  | Link |
| 2021 | **DeepIS: Susceptibility Estimation on Social Networks**  | WSDM 2021  |  [Link](https://dl.acm.org/doi/pdf/10.1145/3437963.3441829)  | [Link](https://github.com/xiawenwen49/DeepIS) |
| 2021 | **Few-shot Network Anomaly Detection via Cross-network Meta-learning**  | WWW 2021  |  [Link](https://arxiv.org/pdf/2102.11165v1.pdf)  | [Link](https://github.com/kaize0409/Meta-GDN_AnomalyDetection) |
| 2021 | **Towards Consumer Loan Fraud Detection: Graph Neural Networks with Role-Constrained Conditional Random Field**  | AAAI 2021  |  [Link](https://www.aaai.org/AAAI21Papers/AAAI-6859.XuB.pdf)  | Link |

### 2020 [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]
| Year   | Title  | Venue |  Paper | Code  |
|-------|--------|--------|--------|-----------|
|2020| **Anomaly Detection on Attributed Networks via Contrastive Self-Supervised Learning**| IEEE TNNLS 2020 |[link](https://arxiv.org/abs/2103.00113)|[link](https://github.com/GRAND-Lab/CoLA)|
| 2020 | **Suspicious Massive Registration Detection via Dynamic Heterogeneous Graph Neural Networks**  | AAAI 2021 Workshop  |  [Link](https://arxiv.org/pdf/2012.10831.pdf)  | Link |
| 2020 | **Phishing Scams Detection in Ethereum Transaction Network**  | ACM TOIT 2020 |  [Link](https://dl.acm.org/doi/10.1145/3398071)  | Link |
| 2020 | **APAN: Asynchronous Propagation Attention Network for Real-time Temporal Graph Embedding**  | SIGMOD 2021  |  [Link](https://arxiv.org/pdf/2011.11545.pdf)  | Link |
| 2020 | **Anomaly Detection on Dynamic Bipartite Graph with Burstiness**  | ICDM 2020   |  [Link](https://ieeexplore.ieee.org/document/9338258)  | Link |
| 2020 | **Metagraph Aggregated Heterogeneous Graph Neural Network for Illicit Traded Product Identification in Underground Market**  | ICDM 2020   |  [Link](https://engineering.case.edu/groups/xusheng-xiao/sites/engineering.case.edu.groups.xusheng-xiao/files/docs/metagraph.pdf)  | Link |
| 2020 | **Adversarial Active Learning based Heterogeneous Graph Neural Network for Fake News Detection**  | ICDM 2020   |  [Link](https://arxiv.org/pdf/2101.11206.pdf)  |  [Link](https://www.dropbox.com/sh/bmgz7d1q3tq5429/AAAAcmbgKOp-gtftVWhz533ua?dl=0) |
| 2020 | **Heterogeneous Mini-Graph Neural Network and Its Application to Fraud Invitation Detection**  | ICDM 2020   |  [Link](https://cs.nju.edu.cn/liyf/paper/icdm20-hmgnn.pdf)  |  [Link](https://github.com/iqiyi/HMGNN) |
| 2020 | **xFraud: Explainable Fraud Transaction Detection on Heterogeneous Graphs**  | arXiv 2021 |  [Link](https://arxiv.org/pdf/2011.12193.pdf)  |  Link |
| 2020 | **BotSpot: A Hybrid Learning Framework to Uncover Bot Install Fraud in Mobile Advertising**  | CIKM 2020   |  [Link](https://dl.acm.org/doi/abs/10.1145/3340531.3412690)  |  [Link](https://github.com/mobvistaresearch/CIKM2020-BotSpot) |
| 2020 | **Alike and Unlike: Resolving Class Imbalance Problem in Financial Credit Risk Assessment**  | CIKM 2020   |  [Link](https://ponderly.github.io/pub/ADAAR_CIKM2020.pdf)  |  Link |
| 2020 | **Early Anomaly Detection by Learning and Forecasting Behavior** | arXiv |  [Link](https://arxiv.org/pdf/2010.10016.pdf) | Link |
| 2020 | **ResGCN: Attention-based Deep Residual Modeling for Anomaly Detection on Attributed Networks**  | arXiv 2021  |  [Link](https://arxiv.org/pdf/2009.14738.pdf)  |  Link |
| 2020 | **Multivariate Time-series Anomaly Detection via Graph Attention Network**  | ICDM 2020   |  [Link](https://arxiv.org/pdf/2009.02040.pdf)  |  Link |
| 2020 | **GFD: A Weighted Heterogeneous Graph Embedding Based Approach for Fraud Detection in Mobile Advertising**  | Security and Communication Networks 2020  |  [Link](https://downloads.hindawi.com/journals/scn/2020/8810817.pdf)  |  Link |
| 2020 | **Enhancing Graph Neural Network-based Fraud Detectors against Camouflaged Fraudsters**  | CIKM 2020   |  [Link](https://arxiv.org/pdf/2008.08692.pdf)  |  [Link](https://github.com/YingtongDou/CARE-GNN) |
| 2020 | **Graph-based Modeling of Online Communities for Fake News Detection**  | arXiv 2021  |  [Link](https://arxiv.org/pdf/2008.06274.pdf)  |  [Link](https://github.com/shaanchandra/SAFER) |
| 2020 | **FANG: Leveraging Social Context for Fake News Detection Using Graph Representation**  | CIKM 2020   |  [Link](https://arxiv.org/pdf/2008.07939.pdf)  |  [Link](https://github.com/nguyenvanhoang7398/FANG) |
| 2020 | **Loan Default Analysis with Multiplex Graph Learning**  | CIKM 2020   |  [Link](https://www.researchgate.net/publication/343626706_Loan_Default_Analysis_with_Multiplex_Graph_Learning)  |  Link |
| 2020 | **Error-Bounded Graph Anomaly Loss for GNNs**  | CIKM 2020   |  [Link](http://www.meng-jiang.com/pubs/gal-cikm20/gal-cikm20-paper.pdf)  |  [Link](https://github.com/zhao-tong/Graph-Anomaly-Loss) |
| 2020 | **GCNEXT: graph convolutional network with expanded balance theory for fraudulent user detection**  | Social Network Analysis and Mining 2020    |  [Link](https://link.springer.com/article/10.1007/s13278-020-00697-w)  |  Link |
| 2020 | **FauxWard: a graph neural network approach to fauxtography detection using social media comments**  | Social Network Analysis and Mining 2020   |  [Link](https://link.springer.com/article/10.1007/s13278-020-00689-w)  |  Link |
| 2020 | **A Scalable Framework for Group Fraud Detection in Transaction using Deep Graph Neural Network**  | KDD 2020 Workshop   |  [Link](https://drive.google.com/file/d/14CPo4U9nmRClf_62NhVnhJVG5yhQXzEt/view)   |  Link|
| 2020 | **Early Fraud Detection with Augmented Graph Learning**  | KDD 2020 Workshop   |  [Link](http://www.meng-jiang.com/pubs/earlyfraud-dlg20/earlyfraud-dlg20-paper.pdf)   |  Link|
| 2020 | **TIES: Temporal Interaction Embeddings For Enhancing Social Media Integrity At Facebook**  | KDD 2020   |  [Link](https://arxiv.org/pdf/2002.07917.pdf)   |  Link|
| 2020 | **DETERRENT: Knowledge Guided Graph Attention Network for Detecting Healthcare Misinformation**  | KDD 2020   |  [Link](http://pike.psu.edu/publications/kdd20-deterrent.pdf)   |  [Link](https://github.com/cuilimeng/DETERRENT) |
| 2020 | **Alleviating the Inconsistency Problem of Applying Graph Neural Network to Fraud Detection**  | SIGIR 2020   |  [Link](https://arxiv.org/pdf/2005.00625.pdf)   |  [Link](https://github.com/safe-graph/DGFraud-TF2/tree/main/algorithms/GraphConsis) |
| 2020 | **GCAN: Graph-aware Co-Attention Networks for Explainable Fake News Detection on Social Media**  | ACL 2020   |  [Link](https://www.aclweb.org/anthology/2020.acl-main.48.pdf)   |  [Link](https://github.com/l852888/GCAN) |
| 2020 | **Camouflaged Chinese Spam Content Detection with Semi-supervised Generative Active Learning**  | ACL 2020   |  [Link](https://www.aclweb.org/anthology/2020.acl-main.279.pdf)   |  [Link](https://github.com/Giruvegan/generative-camouflaged-spam-detector) |
| 2020 | **DFraud3-Multi-Component Fraud Detection free of Cold-start**  | arXiv 2021  |  [Link](https://arxiv.org/pdf/2006.05718.pdf)   |  Link |
| 2020 | **Financial Risk Analysis for SMEs with Graph-based Supply Chain Mining**  | IJCAI 2020   |  [Link](https://www.ijcai.org/Proceedings/2020/0643.pdf)   |  Link |
| 2020 | **Rumor Detection on Social Media with Graph Structured Adversarial Learning**  | IJCAI 2020   |  [Link](https://www.ijcai.org/Proceedings/2020/0197.pdf)   |  Link |
| 2020 | **GCN-Based User Representation Learning for Unifying Robust Recommendation and Fraudster Detection**  | SIGIR 2020   |  [Link](https://arxiv.org/pdf/2005.10150.pdf)   |  [Link](https://github.com/zsjdddhr/GraphRfi) |
| 2020 | **ASA: Adversary Situation Awareness via Heterogeneous Graph Convolutional Networks**  | WWW 2020 Workshop   |  [Link](https://dl.acm.org/doi/10.1145/3366424.3391266)   |  Link |
| 2020 | **Graph Convolutional Networks with Markov Random Field Reasoning for Social Spammer Detection**  | AAAI 2020   |  [Link](http://staff.ustc.edu.cn/~liandefu/paper/aaai2020_spammer.pdf)   |  Link |
| 2020 | **Interpretable Rumor Detection in Microblogs by Attending to User Interactions**  | AAAI 2020   |  [Link](https://arxiv.org/pdf/2001.10667.pdf)   |  Link |
| 2020 | **Rumor Detection on Social Media with Bi-Directional Graph Convolutional Networks**  | AAAI 2020   |  [Link](https://arxiv.org/pdf/2001.06362.pdf)   |  [Link](https://github.com/TianBian95/BiGCN) |

### Before 2020 [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]
| Year   | Title  | Venue |  Paper | Code  |
|-------|--------|--------|--------|-----------|
| 2019 | **A Dynamic Default Prediction Framework for Networked-guarantee Loans**  | CIKM 2019  | [Link](https://dl.acm.org/doi/10.1145/3357384.3357804) | Link |
| 2019 | **Spam Review Detection with Graph Convolutional Networks**  | CIKM 2019  | [Link](https://arxiv.org/pdf/1908.10679.pdf) | [Link](https://github.com/safe-graph/DGFraud-TF2/tree/main/algorithms/GAS) |
| 2019 | **A Semi-supervised Graph Attentive Network for Fraud Detection**  | ICDM 2019  |  [Link](https://ieeexplore.ieee.org/document/8970829)   |  [Link](https://github.com/safe-graph/DGFraud-TF2/tree/main/algorithms/SemiGNN) |
| 2019 | **Detect Camouflaged Spam Content via StoneSkipping: Graph and Text Joint Embedding for Chinese Character Variation Representation**  | EMNLP 2019  | [Link](https://www.aclweb.org/anthology/D19-1640.pdf) | [Link](https://github.com/Giruvegan/stoneskipping) |
| 2019 | **Anti-Money Laundering in Bitcoin: Experimenting with Graph Convolutional Networks for Financial Forensics**  | KDD 2019 Workshop| [Link](https://arxiv.org/pdf/1908.02591.pdf) | Link |
| 2019 | **Uncovering Insurance Fraud Conspiracy with Network Learning**  | SIGIR 2019 | [Link](https://dl.acm.org/citation.cfm?id=3331184.3331372) | Link |
| 2019 | **Detect Me If You Can: Spam Bot Detection Using Inductive Representation Learning**  | WWW 2019 Workshop| [Link](https://www.researchgate.net/publication/333067454_Detect_Me_If_You_Can_Spam_Bot_Detection_Using_Inductive_Representation_Learning) | Link |
| 2019 | **FdGars: Fraudster Detection via Graph Convolutional Networks in Online App Review System**  | WWW 2019 Workshop| [Link](https://dl.acm.org/citation.cfm?id=3316586) | [Link](https://github.com/safe-graph/DGFraud) |
| 2019 | **GeniePath: Graph Neural Networks with Adaptive Receptive Paths**  | AAAI 2019 | [Link](https://arxiv.org/pdf/1802.00910.pdf) | [Link](https://github.com/safe-graph/DGFraud) |
| 2018 | **Heterogeneous Graph Neural Networks for Malicious Account Detection**  | CIKM 2018 | [Link](https://arxiv.org/pdf/2002.12307.pdf) | [Link](https://github.com/safe-graph/DGFraud-TF2/tree/main/algorithms/GEM) |
| 2018 | **GraphRAD: A Graph-based Risky Account Detection System**  | KDD 2018 Workshop | [Link](https://www.mlgworkshop.org/2018/papers/MLG2018_paper_12.pdf) | Link |
| 2018 | **Selective Graph Attention Networks for Account Takeover Detection**  | ICDM 2018 Workshop | [Link](https://ieeexplore.ieee.org/document/8637408) | Link |

## Non-Deep-Learning Papers since 2014 [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]
| Year   | Title  | Venue |  Paper | Code  |
|-------|--------|--------|--------|-----------|
| 2025 | **Bursting Flow Query on Large Temporal Flow Networks** | SIGMOD 2025 | [Link](https://dl.acm.org/doi/10.1145/3709737) | Link | 
| 2024 | **Benchmarking Fraud Detectors on Private Graph Data** | KDD 2025 | [Link](https://akgoldberg.github.io/files/private_fraud_benchmarking.pdf) |  Link |
| 2024 | **RUSH: Real-Time Burst Subgraph Detection in Dynamic Graphs** |  VLDB 2024 | [Link](https://dl.acm.org/doi/10.14778/3681954.3682028) | [Link](https://github.com/Xtra-Computing/RUSH) | 
| 2024 | **Spade+: A Generic Real-Time Fraud Detection Framework on Dynamic Graphs** |  IEEE TKDE 2024 | [Link](https://ieeexplore.ieee.org/abstract/document/10510636) |Link | 
| 2024 | **FiFrauD: Unsupervised Financial Fraud Detection in Dynamic Graph Streams** |  ACM TKDD 2024 | [Link](https://dl.acm.org/doi/10.1145/3641857) |Link |
| 2024 | **MAD: Multi-Scale Anomaly Detection in Link Streams** |  WSDM 2024 | [Link](https://hal.science/hal-04361052/document) |Link |
| 2023 | **Online Corrupted User Detection and Regret Minimization** |  NeurIPS 2023 | [Link](https://arxiv.org/pdf/2310.04768.pdf) |Link | 
| 2023 | **CallMine: Fraud Detection and Visualization of Million-Scale Call Graphs** |   CIKM 2023 | [Link](https://dl.acm.org/doi/10.1145/3583780.3614662) |  [Link](https://github.com/mtcazzolato/callmine) | 
| 2023 | **Preemptive Detection of Fake Accounts on Social Networks via Multi-Class Preferential Attachment Classifiers**  | KDD 2023 |  [Link](https://dl.acm.org/doi/pdf/10.1145/3580305.3599471) | Link|
| 2023 | **Demystifying Fraudulent Transactions and Illicit Nodes in the Bitcoin Network for Financial Forensics**  | KDD 2023 |  [Link](https://dl.acm.org/doi/pdf/10.1145/3580305.3599803) | [Link](https://github.com/git-disl/EllipticPlusPlus) |
| 2023 | **Sketch-Based Anomaly Detection in Streaming Graphs**  | KDD 2023 |  [Link](https://dl.acm.org/doi/pdf/10.1145/3580305.3599504) | [Link](https://github.com/Stream-AD/AnoGraph) |
| 2023 | **Pattern Mining for Anomaly Detection in Graphs: Application to Fraud in Public Procurement**  | ECML-PKDD 2023 |  [Link](https://arxiv.org/pdf/2306.10857.pdf) | [Link](https://github.com/CompNet/Pang) |
| 2022 | **Spade: A Real-Time Fraud Detection Framework on Evolving Graphs**  | VLDB 2023 |  [Link](https://arxiv.org/pdf/2211.06977.pdf) | Link |
| 2022 | **Temporal burstiness and collaborative camouflage aware fraud detection**  | IPM 2023 |  [Link](https://doi.org/10.1016/j.ipm.2022.103170) | Link |
| 2022 | **Detecting Cash-out Users via Dense Subgraphs**  | KDD 2022 |  [Link](https://dl.acm.org/doi/10.1145/3534678.3539252) | Link |
| 2022 | **AntiBenford Subgraphs: Unsupervised Anomaly Detection in Financial Networks**  | KDD 2022 |  [Link](https://arxiv.org/pdf/2205.13426.pdf) | [Link](https://github.com/tsourakakis-lab/antibenford-subgraphs) |
| 2022 | **Subset Node Anomaly Tracking over Large Dynamic Graphs**  | KDD 2022 |  [Link](https://arxiv.org/pdf/2205.09786.pdf) | [Link](https://github.com/zjlxgxz/DynAnom) |
| 2022 | **Internet Financial Fraud Detection Based on Graph Learning**  | IEEE TCSS 2022 |  [Link](https://ieeexplore.ieee.org/document/9831118) | Link |
| 2022 | **Exploiting Anomalous Structural Nodes in Dynamic Social Networks**  | WWW 2022 Workshop |  [Link](https://dl.acm.org/doi/abs/10.1145/3487553.3524189) | Link |
| 2022 | **Adaptive Label Propagation for Group Anomaly Detection in Large-scale Networks**  | IEEE TKDE 2022 |  [Link](https://ieeexplore.ieee.org/abstract/document/9779570) | Link |
| 2022 | **eRiskCom: an e-commerce risky community detection platform**  | VLDB Journal 2022 |  [Link](https://link.springer.com/article/10.1007/s00778-021-00723-z) | Link |
| 2022 | **MonLAD: Money Laundering Agents Detection in Transaction Streams**  | WSDM 2022  | [Link](https://dl.acm.org/doi/10.1145/3488560.3498418) | Link |
| 2022 | **Knowledge Sharing via Domain Adaptation in Customs Fraud Detection**  | AAAI 2022  | [Link](https://arxiv.org/abs/2201.06759) | Link |
| 2022 | **Active Learning for Human-in-the-Loop Customs Inspection**  | IEEE TKDE 2022  | [Link](https://ieeexplore.ieee.org/document/9695316) | [Link](https://github.com/Seondong/Customs-Fraud-Detection) |
| 2021 | **Analytical Models for Motifs in Temporal Networks: Discovering Trends and Anomalies**  | arXiv 2021 |  [Link](https://arxiv.org/pdf/2112.14871.pdf) | [Link](https://www.dropbox.com/sh/81tkcf1amemmq2i/AAC2k1vdX2DhsbFQz9LCzovEa?dl=0) |
| 2021 | **Customs Fraud Detection in the Presence of Concept Drift**  | ICDMW 2021 |  [Link](https://arxiv.org/pdf/2109.14155.pdf) | Link |
| 2021 | **GraphScope: A Unified Engine For Big Graph Processing**  | VLDB 2021  |  [Link](http://vldb.org/pvldb/vol14/p2879-qian.pdf) | [Link](https://github.com/alibaba/GraphScope) |
| 2021 | **Certification and Trade-off of Multiple Fairness Criteria in Graph-based Spam Detection**  | CIKM 2021  |  [Link](https://dl.acm.org/doi/pdf/10.1145/3459637.3482325) | Link |
| 2021 | **Unveiling Fake Accounts at the Time of Registration: An Unsupervised Approach**  | KDD 2021  |  [Link](https://dl.acm.org/doi/pdf/10.1145/3447548.3467094)  | Link |
| 2021 | **Mining Fraudsters and Fraudulent Strategies in Large-Scale Mobile Social Networks**  |IEEE TKDE 2021 |  [Link](http://yangy.org/works/telecom_fraud/TKDE_Fraud_Yang.pdf)  | Link |
| 2021 | **GuiltyWalker: Distance to illicit nodes in the Bitcoin network**  | KDD 2021 Workshop |  [Link](https://arxiv.org/pdf/2102.05373.pdf)  | Link |
| 2021 | **Deep Entity Classification: Abusive Account Detection for Online Social Networks**  | USENIX Security 2021  |  [Link](https://www.usenix.org/system/files/sec21summer_xu.pdf)   |  Link |
| 2021 | **EnsemFDet: An Ensemble Approach to Fraud Detection based on Bipartite Graph**  | ICDE 2021  |  [Link](https://arxiv.org/pdf/1912.11113.pdf)   |  Link |
| 2021 | **Network Inference from a Mixture of Diffusion Models for Fake News Mitigation**  | ICWSM 2021  | [Link](https://arxiv.org/pdf/2008.03450.pdf) | Link |
| 2021 | **Uncovering Coordinated Networks on Social Media**  | ICWSM 2021  | [Link](https://arxiv.org/pdf/2001.05658.pdf) | Link |
| 2021 | **F-FADE: Frequency Factorization for Anomaly Detection in Edge Streams**  | WSDM 2021  | [Link](https://arxiv.org/pdf/2011.04723.pdf) | [Link](https://github.com/snap-stanford/F-FADE) |
| 2020 | **Subgraph Anomaly Detection in Financial Transaction Networks**  | ICAIF 2020  | [Link](https://dl.acm.org/doi/pdf/10.1145/3383455.3422548) | Link |
| 2020 | **AUTOAUDIT: Mining Accounting and Time-Evolving Graphs**  | IEEE BigData 2020  | [Link](https://arxiv.org/pdf/2011.00447.pdf) | [Link](https://github.com/mengchillee/AutoAudit) |
| 2020 | **SpecGreedy: Unified Dense Subgraph Detection**  | ECML-PKDD 2020  | [Link](https://shenghua-liu.github.io/papers/pkdd2020_specgreedy.pdf) | [Link](https://github.com/wenchieh/specgreedy) |
| 2020 | **Real-Time Streaming Anomaly Detection in Dynamic Graphs**  | arXiv 2020  |  [Link](https://arxiv.org/pdf/2009.08452.pdf)  |  [Link](https://github.com/Stream-AD/MIDAS) |
| 2020 | **Robust Spammer Detection by Nash Reinforcement Learning**  | KDD 2020  | [Link](https://arxiv.org/pdf/2006.06069.pdf) | [Link](https://github.com/YingtongDou/Nash-Detect) |
| 2020 | **DATE: Dual Attentive Tree-aware Embedding for Customs Fraud Detection**  | KDD 2020  | [Link](https://dl.acm.org/doi/pdf/10.1145/3394486.3403339) | [Link](https://github.com/Roytsai27/Dual-Attentive-Tree-aware-Embedding) |
| 2020 | **KNH: Multi-View Modeling with K-Nearest Hyperplanes Graph for Misinformation Detection**  | KDD 2020 Workshop  | [Link](https://drive.google.com/file/d/1BBNtSQeayy7ozonQbsbXmMdtEKDF4DLi/view) | Link |
| 2020 | **Representing Fine-Grained Co-Occurrences for Behavior-Based Fraud Detection in Online Payment Services**  | IEEE TDSC 2020   |  [Link](https://ieeexplore.ieee.org/stamp/stamp.jsp?tp=&arnumber=9085905)   |  Link |
| 2020 | **Collaboration Based Multi-Label Propagation for Fraud Detection**  | IJCAI 2020  | [Link](https://www.ijcai.org/Proceedings/2020/0343.pdf) | Link |
| 2020 | **Hierarchical Propagation Networks for Fake News Detection: Investigation and Exploitation**  | ICWSM 2020  | [Link](https://arxiv.org/pdf/1903.09196.pdf) | [Link](https://www.dropbox.com/sh/v1nmsdabk4wumcn/AADiRakrTIxx546qaOMNHPTWa?dl=0) |
| 2020 | **Friend or Faux: Graph-Based Early Detection of Fake Accounts on Social Networks**  | WWW 2020  |  [Link](https://arxiv.org/pdf/2004.04834.pdf)   |  Link |
| 2020 | **Financial Defaulter Detection on Online Credit Payment via Multi-view Attributed Heterogeneous Information Network**  | WWW 2020   |  [Link](https://dl.acm.org/doi/abs/10.1145/3366423.3380159)   |  Link |
| 2020 | **MIDAS: Microcluster-Based Detector of Anomalies in Edge Streams**  | AAAI 2020   |  [Link](https://arxiv.org/pdf/1911.04464.pdf)   |  [Link](https://github.com/Stream-AD/MIDAS) |
| 2020 | **FlowScope: Spotting Money Laundering Based on Graphs**  | AAAI 2020  |  [Link](http://shichuan.org/doc/78.pdf)   |  [Link](https://github.com/aplaceof/FlowScope) |
| 2019 | **A Dynamic Default Prediction Framework for Networked-guarantee Loans**  | CIKM 2019  |  [Link](https://dl.acm.org/doi/10.1145/3357384.3357804)   |  Link |
| 2019 | **Understanding Default Behavior in Online Lending**  | CIKM 2019  |  [Link](http://yangy.org/works/loan_fraud/cikm19_loan.pdf)   |  Link |
| 2019 | **SliceNDice: Mining Suspicious Multi-attribute Entity Groups with Multi-view Graphs**  | DSAA 2019  |  [Link](https://arxiv.org/pdf/1908.07087.pdf)   |  [Link](https://github.com/hamedn/SliceNDice) |
| 2019 | **From Anomaly Detection to Rumour Detection using Data Streams of Social Platforms**  | VLDB 2019  |  [Link](http://www.vldb.org/pvldb/vol12/p1016-nguyen.pdf)   |  Link |
| 2019 | **TitAnt: Online Real-time Transaction Fraud Detection in Ant Financial**  | VLDB 2019  |  [Link](https://arxiv.org/pdf/1906.07407.pdf)   |  Link |
| 2019 | **Mining Fraudsters and Fraudulent Strategies in Large-Scale Mobile Social Networks**  | IEEE TKDE |  [Link](https://keg.cs.tsinghua.edu.cn/yuxiao/papers/TKDE19-yang-fraud-detection.pdf)   |  Link |
| 2019 | **Fraud Detection in Dynamic Interaction Network**  | IEEE TKDE |  [Link](https://ieeexplore.ieee.org/document/8695738)   |  Link |
| 2019 | **Spotting Collective Behaviour of Online Frauds in Customer Reviews**  | IJCAI 2019  |  [Link](https://www.ijcai.org/proceedings/2019/0035.pdf)   |  [Link](https://github.com/LCS2-IIITD/DeFrauder) |
| 2019 | **Cash-Out User Detection Based on Attributed Heterogeneous Information Network with a Hierarchical Attention Mechanism**  | AAAI 2019 | [Link](https://aaai.org/ojs/index.php/AAAI/article/view/3884) | [Link](https://github.com/safe-graph/DGFraud) |
| 2018 | **Deep Structure Learning for Fraud Detection**  | ICDM 2018  | [Link](https://www.researchgate.net/publication/330030140_Deep_Structure_Learning_for_Fraud_Detection) | [Link](https://github.com/zhao-tong/DeepFD-pyTorch) |
| 2018 | **FeatNet: Large-scale Fraud Device Detection by Network Representation Learning with Rich Features**  | AiSec 2018 | [Link](https://surrealyz.github.io/files/pubs/featnet-aisec2018.pdf) | Link |
| 2018 | **HGsuspector: Scalable Collective Fraud Detection in Heterogeneous Graphs**  | KDD 2018 Workshop | [Link](https://www.mlgworkshop.org/2018/papers/MLG2018_paper_16.pdf) | Link |
| 2018 | **Online E-Commerce Fraud: A Large-scale Detection and Analysis**  | ICDE 2018 | [Link](https://nesa.zju.edu.cn/download/Online%20E-Commerce%20Fraud%20A%20Large-scale%20Detection%20and%20Analysis.pdf) | [Link](https://github.com/maianhpuco/alibabaFraud) |
| 2018 | **FraudNE: a Joint Embedding Approach for Fraud Detection**  | IJCNN 2018 | [Link](https://opus.cloud.lib.uts.edu.au/bitstream/10453/133230/4/08489585.pdf) | Link |
| 2018 | **Combating Crowdsourced Review Manipulators: A Neighborhood-Based Approach**  | WSDM 2018  | [Link](http://faculty.cse.tamu.edu/caverlee/pubs/parisa18wsdm.pdf) | Link |
| 2018 | **REV2: Fraudulent User Prediction in Rating Platforms**  | WSDM 2018 | [Link](https://cs.stanford.edu/~srijan/pubs/rev2-wsdm18.pdf) | [Link](https://cs.stanford.edu/~srijan/rev2/) |
| 2017 | **ZooBP: Belief Propagation for Heterogeneous Networks**  | VLDB 2017 | [Link](http://www.vldb.org/pvldb/vol10/p625-eswaran.pdf) | [Link](https://github.com/safe-graph/UGFraud) |
| 2017 | **HitFraud: A Broad Learning Approach for Collective Fraud Detection in Heterogeneous Information Networks**  | ICDM 2017 | [Link](https://arxiv.org/pdf/1709.04129.pdf) | Link |
| 2017 | **GANG: Detecting Fraudulent Users in Online Social Networks via Guilt-by-Association on Directed Graph**  | ICDM 2017 | [Link](https://ieeexplore.ieee.org/document/8215519) | [Link](https://github.com/safe-graph/UGFraud) |
| 2017 | **The Many Faces of Link Fraud**  | ICDM 2017 | [Link](https://arxiv.org/pdf/1704.01420.pdf) | Link |
| 2017 | **HoloScope: Topology-and-Spike Aware Fraud Detection**  | CIKM 2017 | [Link](https://arxiv.org/pdf/1705.02505.pdf) | [Link](https://github.com/shenghua-liu/HoloScope) |
| 2017 | **iBGP: A Bipartite Graph Propagation Approach for Mobile Advertising Fraud Detection**  | Mobile Information Systems 2017 | [Link](https://downloads.hindawi.com/journals/misy/2017/6412521.pdf) | Link |
| 2017 | **Adaptive Spammer Detection with Sparse Group Modeling**  | ICWSM 2017 | [Link](http://www.liangwu.me/files/papers/ICWSM17_Liang%20Wu_Adaptive%20Spammer%20Detection.pdf) | Link |
| 2017 | **NetSpam: A Network-Based Spam Detection Framework for Reviews in Online Social Media**  | IEEE TIFS 2017 | [Link](https://www.researchgate.net/publication/314160993_NetSpam_A_Network-Based_Spam_Detection_Framework_for_Reviews_in_Online_Social_Media) | Link |
| 2016 | **FRAUDAR: Bounding Graph Fraud in the Face of Camouflage**  | KDD 2016  | [Link](https://bhooi.github.io/papers/fraudar_kdd16.pdf) | [Link](https://github.com/safe-graph/UGFraud) |
| 2015 | **AFRAID: Fraud detection via active inference in time-evolving social networks**  | ASONAM 2015 | [Link](http://www.andrew.cmu.edu/user/lakoglu/pubs/15-ASONAM-ActiveInferenceforFraud.pdf) | Link |
| 2015 | **Collective Opinion Spam Detection: Bridging Review Networks and Metadata**  | KDD 2015 | [Link](https://www.andrew.cmu.edu/user/lakoglu/pubs/15-kdd-collectiveopinionspam.pdf) | [Link](https://github.com/safe-graph/UGFraud) |
| 2014 | **Spotting Suspicious Link Behavior with fBox: An Adversarial Perspective**  | ICDM 2014 | [Link](https://arxiv.org/pdf/1410.3915.pdf) | [Link](https://github.com/safe-graph/UGFraud) |


## Toolbox [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]

[PyGOD: A Python Library for Graph Outlier Detection (Anomaly Detection)](https://github.com/pygod-team/pygod)

[DGFraud-TF2: A Deep Graph-based Toolbox for Fraud Detection in TensorFlow 2.0](https://github.com/safe-graph/DGFraud-TF2)

[DGFraud: A Deep Graph-based Toolbox for Fraud Detection](https://github.com/safe-graph/DGFraud)

[UGFraud: An Unsupervised Graph-based Toolbox for Fraud Detection](https://github.com/safe-graph/UGFraud)

[GNN-based Fake News Detection](https://github.com/safe-graph/GNN-FakeNews)

[Realtime Fraud Detection with GNN on DGL](https://github.com/awslabs/realtime-fraud-detection-with-gnn-on-dgl)

[GraphScope: A One-Stop Large-Scale Graph Computing System from Alibaba](https://github.com/alibaba/GraphScope)

## Dataset [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]

[Node Outlier Detection Benchmark](https://github.com/pygod-team/pygod/tree/main/benchmark)

[Twitter Fake News Propagation Graph Dataset](https://github.com/safe-graph/GNN-FakeNews)

[Yelp & Amazon Fraud Graph Dataset](https://github.com/dmlc/dgl/blob/master/python/dgl/data/fraud.py)

[Fair Graph Anomaly Detection Benchmark](https://github.com/nigelnnk/FairGAD)

[IBM Transactions for Anti Money Laundering (AML)](https://www.kaggle.com/datasets/ealtman2019/ibm-transactions-for-anti-money-laundering-aml)

[Financial Statement Fraud Dataset](https://github.com/split-gnn/splitgnn)

[Elliptic++ Dataset: A Graph Network of Bitcoin Blockchain Transactions and Wallet Addresses](https://github.com/git-disl/EllipticPlusPlus)

[GADBench: Revisiting and Benchmarking Supervised Graph Anomaly Detection](https://github.com/squareRoot3/GADBench)

[UTwitter: Unlabeled Twitter dataset for rumor detection](https://github.com/CcQunResearch/UTwitter)

[Risk Commodities Detection on Large-Scale E-commerce Graphs](https://tianchi.aliyun.com/competition/entrance/531976/introduction?lang=en-us)

[Fraudster Nodes in Dynamic Financial Social Network](https://dgraph.xinye.com/dataset)

[Anomalous Accounts in Transaction and Social Networks](https://github.com/squareRoot3/Rethinking-Anomaly-Detection)

[Ethereum Fraud Detection Dataset](https://www.kaggle.com/datasets/vagifa/ethereum-frauddetection-dataset)

[Ethereum Phishing Transaction Network](http://xblock.pro/tx/)

[IEEE-CIS Fraud Detection Dataset](https://www.kaggle.com/c/ieee-fraud-detection)

[Outlier Detection DataSets (ODDS)](http://odds.cs.stonybrook.edu/)

[Graph Fraud Datasets from Prof. Srijan Kumar](https://cs.stanford.edu/~srijan/)

[Bitcoin Fraudulent Transaction Dataset](https://www.kaggle.com/ellipticco/elliptic-data-set)

[Mobile App Install Fraud Dataset](https://github.com/mobvistaresearch/CIKM2020-BotSpot)

## Survey Paper [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]

[Graph Neural Networks for Financial Fraud Detection: A Review](https://arxiv.org/pdf/2411.05815)

[Deep Graph Anomaly Detection: A Survey and New Perspectives](https://arxiv.org/pdf/2409.09957)

[Anomaly Detection in Dynamic Graphs: A Comprehensive Survey](https://dl.acm.org/doi/full/10.1145/3669906)

[Fake News Detection Through Graph-based Neural Networks: A Survey](https://arxiv.org/pdf/2307.12639.pdf)

[Graph Learning for Anomaly Analytics: Algorithms, Applications, and Challenges](https://dl.acm.org/doi/pdf/10.1145/3570906)

[A Comprehensive Survey of Graph-based Deep Learning Approaches for Anomaly Detection in Complex Distributed Systems](https://arxiv.org/pdf/2206.04149.pdf)

[Intelligent financial fraud detection practices in post-pandemic era](https://www.sciencedirect.com/science/article/pii/S2666675821001016)

[A Comprehensive Survey on Graph Anomaly Detection with Deep Learning](https://arxiv.org/pdf/2106.07178.pdf)

[Anomaly Mining - Past, Present and Future](https://arxiv.org/pdf/2105.10077.pdf)

[Graph Computing for Financial Crime and Fraud Detection: Trends, Challenges and Outlook](https://arxiv.org/pdf/2103.03227.pdf)

[Graph-based anomaly detection and description: a survey](https://link.springer.com/article/10.1007/s10618-014-0365-y)

[Adversarial Attack and Defense on Graph Data: A Survey](https://arxiv.org/abs/1812.10528)

[Suspicious behavior detection: Current trends and future directions](https://ieeexplore.ieee.org/abstract/document/7389913)

[False information on web and social media: A survey](https://arxiv.org/abs/1804.08559)

[Misinformation in Social Media: Definition, Manipulation, and Detection](https://dl.acm.org/citation.cfm?id=3373475)

[Mining Disinformation and Fake News: Concepts, Methods, and Recent Advancements](https://arxiv.org/abs/2001.00623)

## Other Resource [[Back to Top](#graph-based-fraud-detection-papers-and-resources)]

[\[Thesis\] Robust Graph Learning for Misbehavior Detection](https://doi.org/10.25417/uic.22226566.v1)

[\[Blog\] Graph Neural Network-based Graph Outlier Detection: A Brief Introduction](https://www.tigergraph.com/blog/graph-neural-network-based-graph-outlier-detection-a-brief-introduction/)

[\[Slides\] Leveraging GNNs for Financial Fraud Detection: Practices and Challenges](https://ytongdou.com/files/GNN_Fin_Fraud.pdf)

[\[Slides\] Graph Learning in Financial Networks by Jiaxuan You](https://snap.stanford.edu/graphlearning-workshop/slides/stanford_graph_learning_Finance.pdf)

[\[Blog\] 伊利诺伊大学窦英通：基于图神经网络的欺诈检测](https://zhuanlan.zhihu.com/p/457105796)

[\[Slides\] Graph Neural Network-based Fraud Detection -- from Research to Application](https://ytongdou.com/files/GNN_Fraud_Talk.pdf)

[\[Video\] Fraud Detection with Graph Neural Networks](https://youtu.be/MZGuz-o7Fl0)

[\[Video\] Fake News Detection using Graphs with Pytorch Geometric](https://youtu.be/QAIVFr24FrA) 

[\[Paper List\] Graph Adversarial Learning Literature](https://github.com/safe-graph/graph-adversarial-learning-literature)

[\[Paper List\] Awesome Graph Anomaly Detection](https://github.com/FelixDJC/Awesome-Graph-Anomaly-Detection)

[\[Paper List\] Awesome Fraud Detection Research Papers](https://github.com/benedekrozemberczki/awesome-fraud-detection-papers)

[\[Tutorial\] Graph-Based User Behavior Modeling: From Prediction to Fraud Detection](https://www.cs.cmu.edu/~abeutel/kdd2015_tutorial/tutorial.pdf)
